extensions / Coupons
PATCH/api/projects/{project_id}/sales/coupons/{coupon_id}

PATCH /api/projects/{project_id}/sales/coupons/{coupon_id}

A description is not available in the current release metadata.

Code examples
Integration
PATCH /api/projects/{project_id}/sales/coupons/{coupon_id}
EnvironmentBASE_URL
Request
curl --request PATCH \
  --url "${BASE_URL}/api/projects/example_project_id/sales/coupons/example_coupon_id" \
  --header "Content-Type: application/json" \
  --data @request.json
Response

Response examples are not available in the current release metadata.

Authentication

Authentication requirements are not specified for this operation.

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Headers

Path Parameters

NameRequiredType
project_idYesNot specified
coupon_idYesNot specified

Query Parameters

Request Body

Schema: CouponPayload

FieldRequiredType
codeYesNot specified
discount_typeYesNot specified
amountYesNot specified
target_scopeYesNot specified
allow_stackYesNot specified
max_usesNoNot specified
max_uses_per_customerNoNot specified
starts_atNoNot specified
ends_atNoNot specified
is_activeYesNot specified

Response Body

Errors

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified